Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Liberty 1.2 Java API Reference 10g Release 3 (10.1.3) B25385-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.liberty.v12
Class RegisterNameIdentifierResponse

`java.lang.Object
oracle.security.xmlsec.util.XMLNode
oracle.security.xmlsec.util.XMLElement
oracle.security.xmlsec.saml.SAMLMessage
oracle.security.xmlsec.samlp.ResponseType
oracle.security.xmlsec.liberty.v12.LibResponseMessage
oracle.security.xmlsec.liberty.v12.RegisterNameIdentifierResponse`

public class RegisterNameIdentifierResponse
extends LibResponseMessage

This class represents the RegisterNameIdentifierResponse element in the Liberty Name Registeration protocol. This element is used by the identity provider in reponse to the RegisterNameIdentifierRequest request from the service provider.

See Also:
  `RegisterNameIdentifierRequest`

Field Summary

Fields inherited from class oracle.security.xmlsec.util.XMLNode
`node, systemId`

Constructor Summary
`RegisterNameIdentifierResponse(org.w3c.dom.Document owner)` Creates a new `RegisterNameIdentifierResponse` instance within the specified XML Document.
`RegisterNameIdentifierResponse(org.w3c.dom.Document owner, java.lang.String responseId, java.util.Date issueInstant, java.lang.String providerId)` Creates a new `RegisterNameIdentifierResponse` instance within the specified XML Document.
`RegisterNameIdentifierResponse(org.w3c.dom.Element element)` Creates a new `RegisterNameIdentifierResponse` instance from the given Element node.
`RegisterNameIdentifierResponse(org.w3c.dom.Element element, java.lang.String systemId)` Creates a new `RegisterNameIdentifierResponse` instance from the given Element node.

Method Summary
`protected java.lang.String[]` | `getChildElementsLocalNames()` Returns the orderded set of the local names of the child elements specified in the schema for the XML element represented by the concrete subclass.
`protected java.lang.String[]` | `getChildElementsNSURIs()` Returns the orderded set of the namespce URIs for the child elements specified in the schema for the XML element represented by the concrete subclass.
`java.lang.String` | `toURLString(oracle.security.crypto.core.PrivateKey key, java.lang.String sigAlg)` Returns this `RegisterNameIdentifierResponse` as a URL-encoded query string, optionally signed using the given private key and signature algorithm.

Methods inherited from class oracle.security.xmlsec.liberty.v12.LibResponseMessage
`addSignature, addSignature, getChildElementPosition, getID, getInstance, getProviderID, getRelayState, getStatus, setProviderID, setRelayState, setStatus`

Methods inherited from class oracle.security.xmlsec.samlp.ResponseType
`getInResponseTo, getIssueInstant, getLocalNamesPrecedeDSig, getNSURIsPrecedeDSig, getRecipient, getResponseID, setInResponseTo, setIssueInstant, setRecipient, setResponseID`

Methods inherited from class oracle.security.xmlsec.saml.SAMLMessage
`clearSignature, getInstance, getMajorVersion, getMinorVersion, getSignature, isSigned, setVersion, sign, sign, verify, verify`

Methods inherited from class oracle.security.xmlsec.util.XMLElement
`addNSPrefixAttr, addNSPrefixAttr, addNSPrefixAttrDefault, addNSPrefixAttrDefault, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getChildElementsByTagName, getChildElementsByTagName, getChildElementsByTagNameNS, getChildElementsByTagNameNS, getDefaultNSPrefix, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setDefaultNSPrefix`

Methods inherited from class oracle.security.xmlsec.util.XMLNode
`appendChild, appendChild, appendTo, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNode, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getSystemId, hasAttributes, hasChildNodes, insertBefore, insertBefore, isSupported, normalize, removeChild, removeChild, replaceChild, replaceChild, setNodeValue, setPrefix, setSystemId, toBytesXML, toStringXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RegisterNameIdentifierResponse

    public RegisterNameIdentifierResponse(org.w3c.dom.Element element)
                                   throws org.w3c.dom.DOMException

  Creates a new `RegisterNameIdentifierResponse` instance from the given Element node.
Parameters:
  `element` - A Liberty RegisterNameIdentifierResponse XML element.

### RegisterNameIdentifierResponse

    public RegisterNameIdentifierResponse(org.w3c.dom.Element element,
                                          java.lang.String systemId)
                                   throws org.w3c.dom.DOMException

  Creates a new `RegisterNameIdentifierResponse` instance from the given Element node.
Parameters:
  `element` - A Liberty RegisterNameIdentifierResponse XML element.
  `systemId` - The URI string system ID for the `RegisterNameIdentifierResponse`.

### RegisterNameIdentifierResponse

    public RegisterNameIdentifierResponse(org.w3c.dom.Document owner)
                                   throws org.w3c.dom.DOMException

  Creates a new `RegisterNameIdentifierResponse` instance within the specified XML Document.
Parameters:
  `owner` - The owner document of the new Liberty RegisterNameIdentifierResponse element.

### RegisterNameIdentifierResponse

    public RegisterNameIdentifierResponse(org.w3c.dom.Document owner,
                                          java.lang.String responseId,
                                          java.util.Date issueInstant,
                                          java.lang.String providerId)
                                   throws org.w3c.dom.DOMException

  Creates a new `RegisterNameIdentifierResponse` instance within the specified XML Document.
Parameters:
  `owner` - The owner document of the new Liberty RegisterNameIdentifierResponse element.
  `responseId` - The `ResponseID` attribute.
  `issueInstant` - The `IssueInstant` attribute.
  `providerId` - The `ProviderID` child element.

Method Detail

### toURLString

    public java.lang.String toURLString(oracle.security.crypto.core.PrivateKey key,
                                        java.lang.String sigAlg)
                                 throws oracle.security.xmlsec.dsig.SigningException

  Returns this `RegisterNameIdentifierResponse` as a URL-encoded query string, optionally signed using the given private key and signature algorithm.
  Parameters:
    `key` - The private signing key. If `null`, the query string will not be signed.
    `sigAlg` - The URI identifying the signature algorithm to use. If `null`, the query string will not be signed.
  Throws:
    `oracle.security.xmlsec.dsig.SigningException` - If an error occurs computing the signature.

### getChildElementsNSURIs

    protected java.lang.String[] getChildElementsNSURIs()

  Description copied from class: `LibResponseMessage`
  Returns the orderded set of the namespce URIs for the child elements specified in the schema for the XML element represented by the concrete subclass.
  Specified by:
    `getChildElementsNSURIs` in class `LibResponseMessage`

### getChildElementsLocalNames

    protected java.lang.String[] getChildElementsLocalNames()

  Description copied from class: `LibResponseMessage`
  Returns the orderded set of the local names of the child elements specified in the schema for the XML element represented by the concrete subclass.
  Specified by:
    `getChildElementsLocalNames` in class `LibResponseMessage`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Liberty 1.2 Java API Reference 10g Release 3 (10.1.3) B25385-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.